/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.component.framework.mbean;

import javax.management.InvalidAttributeValueException;
import javax.management.MBeanException;
import javax.management.openmbean.OpenDataException;
import javax.management.openmbean.TabularData;

import org.ow2.petals.component.framework.ComponentConfiguration;

/**
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
public interface RuntimeConfigurationMBean {

	/**
	 * Get the number of acceptor threads
	 * 
	 * @return
	 */
	public Integer getAcceptorThreads();

	/**
	 * Get the number of worker threads
	 * 
	 * @return
	 */
	public Integer getWorkerThreads();

	/**
	 * Set the number of acceptor threads
	 * 
	 * @param i
	 * @throws InvalidAttributeValueException
	 * @throws MBeanException
	 */
	public void setAcceptorThreads(Integer i)
			throws InvalidAttributeValueException, MBeanException;

	/**
	 * Set the number of worker threads
	 * 
	 * @param i
	 * @throws InvalidAttributeValueException
	 * @throws MBeanException
	 */
	public void setWorkerThreads(Integer i)
			throws InvalidAttributeValueException, MBeanException;

	/**
	 * Get the environment variables
	 * 
	 * @return
	 * @throws OpenDataException
	 */
	public TabularData getEnvironmentVariables() throws OpenDataException;

	/**
	 * 
	 * @return
	 */
	public ComponentConfiguration getComponentConfiguration();
}
